> For a complete page index, fetch https://docs.synthflow.ai/llms.txt. For full documentation content, fetch https://docs.synthflow.ai/llms-full.txt.

# Attach a knowledge base

POST https://api.synthflow.ai/v2/knowledge_base/{knowledge_base_id}/attach



Reference: https://docs.synthflow.ai/api-reference/platform-api/knowledge-bases/attach-knowledge-base

## Authentication

- `Authorization` header (bearer token, required)

## Servers

- `https://api.synthflow.ai/v2` (Global, default)
- `https://api.us.synthflow.ai/v2` (United States)
- `https://api.eu.synthflow.ai/v2` (European Union)

## Request

### Path parameters

- `knowledge_base_id` (string, required) — Knowledge base ID.

### Query parameters

- `model_id` (string, required) — id of the agent to which knowledge base needs to be attached

## Response

### 200

200

- `status` (string, optional)
- `response` (object, optional)
  - `body` (string, optional)
  - `knowledge_base_id` (string, optional) — Knowledge base ID.
  - `model_id` (string, optional)

## Examples

**Response**

```json
{
  "status": "success",
  "response": {
    "body": "Knowledge Base attached",
    "knowledge_base_id": " 1739253053024x397207388602947460",
    "model_id": "1738862886874x680573723187741300"
  }
}
```

**SDK Code**

```python attach-knowledge-base_example
import requests

url = "https://api.synthflow.ai/v2/knowledge_base/knowledge_base_id/attach"

querystring = {"model_id":"model_id"}

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers, params=querystring)

print(response.json())
```

```go attach-knowledge-base_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthflow.ai/v2/knowledge_base/knowledge_base_id/attach?model_id=model_id"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby attach-knowledge-base_example
require 'uri'
require 'net/http'

url = URI("https://api.synthflow.ai/v2/knowledge_base/knowledge_base_id/attach?model_id=model_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java attach-knowledge-base_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.synthflow.ai/v2/knowledge_base/knowledge_base_id/attach?model_id=model_id")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```csharp attach-knowledge-base_example
using RestSharp;

var client = new RestClient("https://api.synthflow.ai/v2/knowledge_base/knowledge_base_id/attach?model_id=model_id");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift attach-knowledge-base_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/knowledge_base/knowledge_base_id/attach?model_id=model_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```